descriptions = {
   'llama3.3': _("New state of the art 70B model. Llama 3.3 70B offers similar performance compared to the Llama 3.1 405B model."),
   'qwq': _("QwQ is an experimental research model focused on advancing AI reasoning capabilities."),
   'llama3.2-vision': _("Llama 3.2 Vision is a collection of instruction-tuned image reasoning generative models in 11B and 90B sizes."),
   'llama3.2': _("Meta's Llama 3.2 goes small with 1B and 3B models."),
   'llama3.1': _("Llama 3.1 is a new state-of-the-art model from Meta available in 8B, 70B and 405B parameter sizes."),
   'llama3': _("Meta Llama 3: The most capable openly available LLM to date"),
   'mistral': _("The 7B model released by Mistral AI, updated to version 0.3."),
   'nomic-embed-text': _("A high-performing open embedding model with a large token context window."),
   'gemma': _("Gemma is a family of lightweight, state-of-the-art open models built by Google DeepMind. Updated to version 1.1"),
   'qwen': _("Qwen 1.5 is a series of large language models by Alibaba Cloud spanning from 0.5B to 110B parameters"),
   'qwen2': _("Qwen2 is a new series of large language models from Alibaba group"),
   'phi3': _("Phi-3 is a family of lightweight 3B (Mini) and 14B (Medium) state-of-the-art open models by Microsoft."),
   'llama2': _("Llama 2 is a collection of foundation language models ranging from 7B to 70B parameters."),
   'qwen2.5': _("Qwen2.5 models are pretrained on Alibaba's latest large-scale dataset, encompassing up to 18 trillion tokens. The model supports up to 128K tokens and has multilingual support."),
   'gemma2': _("Google Gemma 2 is a high-performing and efficient model available in three sizes: 2B, 9B, and 27B."),
   'llava': _("🌋 LLaVA is a novel end-to-end trained large multimodal model that combines a vision encoder and Vicuna for general-purpose visual and language understanding. Updated to version 1.6."),
   'codellama': _("A large language model that can use text prompts to generate and discuss code."),
   'qwen2.5-coder': _("The latest series of Code-Specific Qwen models, with significant improvements in code generation, code reasoning, and code fixing."),
   'mistral-nemo': _("A state-of-the-art 12B model with 128k context length, built by Mistral AI in collaboration with NVIDIA."),
   'tinyllama': _("The TinyLlama project is an open endeavor to train a compact 1.1B Llama model on 3 trillion tokens."),
   'mxbai-embed-large': _("State-of-the-art large embedding model from mixedbread.ai"),
   'starcoder2': _("StarCoder2 is the next generation of transparently trained open code LLMs that comes in three sizes: 3B, 7B and 15B parameters."),
   'mixtral': _("A set of Mixture of Experts (MoE) model with open weights by Mistral AI in 8x7b and 8x22b parameter sizes."),
   'dolphin-mixtral': _("Uncensored, 8x7b and 8x22b fine-tuned models based on the Mixtral mixture of experts models that excels at coding tasks. Created by Eric Hartford."),
   'codegemma': _("CodeGemma is a collection of powerful, lightweight models that can perform a variety of coding tasks like fill-in-the-middle code completion, code generation, natural language understanding, mathematical reasoning, and instruction following."),
   'deepseek-coder-v2': _("An open-source Mixture-of-Experts code language model that achieves performance comparable to GPT4-Turbo in code-specific tasks."),
   'phi': _("Phi-2: a 2.7B language model by Microsoft Research that demonstrates outstanding reasoning and language understanding capabilities."),
   'llama2-uncensored': _("Uncensored Llama 2 model by George Sung and Jarrad Hope."),
   'deepseek-coder': _("DeepSeek Coder is a capable coding model trained on two trillion code and natural language tokens."),
   'snowflake-arctic-embed': _("A suite of text embedding models by Snowflake, optimized for performance."),
   'wizardlm2': _("State of the art large language model from Microsoft AI with improved performance on complex chat, multilingual, reasoning and agent use cases."),
   'dolphin-mistral': _("The uncensored Dolphin model based on Mistral that excels at coding tasks. Updated to version 2.8."),
   'dolphin-llama3': _("Dolphin 2.9 is a new model with 8B and 70B sizes by Eric Hartford based on Llama 3 that has a variety of instruction, conversational, and coding skills."),
   'yi': _("Yi 1.5 is a high-performing, bilingual language model."),
   'command-r': _("Command R is a Large Language Model optimized for conversational interaction and long context tasks."),
   'orca-mini': _("A general-purpose model ranging from 3 billion parameters to 70 billion, suitable for entry-level hardware."),
   'llava-llama3': _("A LLaVA model fine-tuned from Llama 3 Instruct with better scores in several benchmarks."),
   'zephyr': _("Zephyr is a series of fine-tuned versions of the Mistral and Mixtral models that are trained to act as helpful assistants."),
   'phi3.5': _("A lightweight AI model with 3.8 billion parameters with performance overtaking similarly and larger sized models."),
   'all-minilm': _("Embedding models on very large sentence level datasets."),
   'codestral': _("Codestral is Mistral AI’s first-ever code model designed for code generation tasks."),
   'starcoder': _("StarCoder is a code generation model trained on 80+ programming languages."),
   'vicuna': _("General use chat model based on Llama and Llama 2 with 2K to 16K context sizes."),
   'granite-code': _("A family of open foundation models by IBM for Code Intelligence"),
   'mistral-openorca': _("Mistral OpenOrca is a 7 billion parameter model, fine-tuned on top of the Mistral 7B model using the OpenOrca dataset."),
   'smollm': _("🪐 A family of small models with 135M, 360M, and 1.7B parameters, trained on a new high-quality dataset."),
   'wizard-vicuna-uncensored': _("Wizard Vicuna Uncensored is a 7B, 13B, and 30B parameter model based on Llama 2 uncensored by Eric Hartford."),
   'llama2-chinese': _("Llama 2 based model fine tuned to improve Chinese dialogue ability."),
   'bge-m3': _("BGE-M3 is a new model from BAAI distinguished for its versatility in Multi-Functionality, Multi-Linguality, and Multi-Granularity."),
   'codegeex4': _("A versatile model for AI software development scenarios, including code completion."),
   'openchat': _("A family of open-source models trained on a wide variety of data, surpassing ChatGPT on various benchmarks. Updated to version 3.5-0106."),
   'aya': _("Aya 23, released by Cohere, is a new family of state-of-the-art, multilingual models that support 23 languages."),
   'codeqwen': _("CodeQwen1.5 is a large language model pretrained on a large amount of code data."),
   'nous-hermes2': _("The powerful family of models by Nous Research that excels at scientific discussion and coding tasks."),
   'command-r-plus': _("Command R+ is a powerful, scalable large language model purpose-built to excel at real-world enterprise use cases."),
   'wizardcoder': _("State-of-the-art code generation model"),
   'stable-code': _("Stable Code 3B is a coding model with instruct and code completion variants on par with models such as Code Llama 7B that are 2.5x larger."),
   'tinydolphin': _("An experimental 1.1B parameter model trained on the new Dolphin 2.8 dataset by Eric Hartford and based on TinyLlama."),
   'openhermes': _("OpenHermes 2.5 is a 7B model fine-tuned by Teknium on Mistral with fully open datasets."),
   'mistral-large': _("Mistral Large 2 is Mistral's new flagship model that is significantly more capable in code generation, mathematics, and reasoning with 128k context window and support for dozens of languages."),
   'qwen2-math': _("Qwen2 Math is a series of specialized math language models built upon the Qwen2 LLMs, which significantly outperforms the mathematical capabilities of open-source models and even closed-source models (e.g., GPT4o)."),
   'glm4': _("A strong multi-lingual general language model with competitive performance to Llama 3."),
   'stablelm2': _("Stable LM 2 is a state-of-the-art 1.6B and 12B parameter language model trained on multilingual data in English, Spanish, German, Italian, French, Portuguese, and Dutch."),
   'bakllava': _("BakLLaVA is a multimodal model consisting of the Mistral 7B base model augmented with the LLaVA architecture."),
   'reflection': _("A high-performing model trained with a new technique called Reflection-tuning that teaches a LLM to detect mistakes in its reasoning and correct course."),
   'deepseek-llm': _("An advanced language model crafted with 2 trillion bilingual tokens."),
   'llama3-gradient': _("This model extends LLama-3 8B's context length from 8k to over 1m tokens."),
   'wizard-math': _("Model focused on math and logic problems"),
   'moondream': _("moondream2 is a small vision language model designed to run efficiently on edge devices."),
   'neural-chat': _("A fine-tuned model based on Mistral with good coverage of domain and language."),
   'llama3-chatqa': _("A model from NVIDIA based on Llama 3 that excels at conversational question answering (QA) and retrieval-augmented generation (RAG)."),
   'xwinlm': _("Conversational model based on Llama 2 that performs competitively on various benchmarks."),
   'sqlcoder': _("SQLCoder is a code completion model fined-tuned on StarCoder for SQL generation tasks"),
   'nous-hermes': _("General use models based on Llama and Llama 2 from Nous Research."),
   'phind-codellama': _("Code generation model based on Code Llama."),
   'yarn-llama2': _("An extension of Llama 2 that supports a context of up to 128k tokens."),
   'dolphincoder': _("A 7B and 15B uncensored variant of the Dolphin model family that excels at coding, based on StarCoder2."),
   'wizardlm': _("General use model based on Llama 2."),
   'deepseek-v2': _("A strong, economical, and efficient Mixture-of-Experts language model."),
   'starling-lm': _("Starling is a large language model trained by reinforcement learning from AI feedback focused on improving chatbot helpfulness."),
   'samantha-mistral': _("A companion assistant trained in philosophy, psychology, and personal relationships. Based on Mistral."),
   'hermes3': _("Hermes 3 is the latest version of the flagship Hermes series of LLMs by Nous Research"),
   'yi-coder': _("Yi-Coder is a series of open-source code language models that delivers state-of-the-art coding performance with fewer than 10 billion parameters."),
   'falcon': _("A large language model built by the Technology Innovation Institute (TII) for use in summarization, text generation, and chat bots."),
   'internlm2': _("InternLM2.5 is a 7B parameter model tailored for practical scenarios with outstanding reasoning capability."),
   'solar': _("A compact, yet powerful 10.7B large language model designed for single-turn conversation."),
   'athene-v2': _("Athene-V2 is a 72B parameter model which excels at code completion, mathematics, and log extraction tasks."),
   'llava-phi3': _("A new small LLaVA model fine-tuned from Phi 3 Mini."),
   'orca2': _("Orca 2 is built by Microsoft research, and are a fine-tuned version of Meta's Llama 2 models. The model is designed to excel particularly in reasoning."),
   'minicpm-v': _("A series of multimodal LLMs (MLLMs) designed for vision-language understanding."),
   'stable-beluga': _("Llama 2 based model fine tuned on an Orca-style dataset. Originally called Free Willy."),
   'mistral-small': _("Mistral Small 3 sets a new benchmark in the “small” Large Language Models category below 70B."),
   'dolphin-phi': _("2.7B uncensored Dolphin model by Eric Hartford, based on the Phi language model by Microsoft Research."),
   'smollm2': _("SmolLM2 is a family of compact language models available in three size: 135M, 360M, and 1.7B parameters."),
   'wizardlm-uncensored': _("Uncensored version of Wizard LM model"),
   'nemotron-mini': _("A commercial-friendly small language model by NVIDIA optimized for roleplay, RAG QA, and function calling."),
   'yarn-mistral': _("An extension of Mistral to support context windows of 64K or 128K."),
   'llama-pro': _("An expansion of Llama 2 that specializes in integrating both general language understanding and domain-specific knowledge, particularly in programming and mathematics."),
   'medllama2': _("Fine-tuned Llama 2 model to answer medical questions based on an open source medical dataset."),
   'meditron': _("Open-source medical large language model adapted from Llama 2 to the medical domain."),
   'llama3-groq-tool-use': _("A series of models from Groq that represent a significant advancement in open-source AI capabilities for tool use/function calling."),
   'nemotron': _("Llama-3.1-Nemotron-70B-Instruct is a large language model customized by NVIDIA to improve the helpfulness of LLM generated responses to user queries."),
   'nexusraven': _("Nexus Raven is a 13B instruction tuned model for function calling tasks."),
   'nous-hermes2-mixtral': _("The Nous Hermes 2 model from Nous Research, now trained over Mixtral."),
   'codeup': _("Great code generation model based on Llama2."),
   'everythinglm': _("Uncensored Llama2 based model with support for a 16K context window."),
   'granite3-dense': _("The IBM Granite 2B and 8B models are designed to support tool-based use cases and support for retrieval augmented generation (RAG), streamlining code generation, translation and bug fixing."),
   'magicoder': _("🎩 Magicoder is a family of 7B parameter models trained on 75K synthetic instruction data using OSS-Instruct, a novel approach to enlightening LLMs with open-source code snippets."),
   'stablelm-zephyr': _("A lightweight chat model allowing accurate, and responsive output without requiring high-end hardware."),
   'codebooga': _("A high-performing code instruct model created by merging two existing code models."),
   'falcon2': _("Falcon2 is an 11B parameters causal decoder-only model built by TII and trained over 5T tokens."),
   'wizard-vicuna': _("Wizard Vicuna is a 13B parameter model based on Llama 2 trained by MelodysDreamj."),
   'mistrallite': _("MistralLite is a fine-tuned model based on Mistral with enhanced capabilities of processing long contexts."),
   'mathstral': _("MathΣtral: a 7B model designed for math reasoning and scientific discovery by Mistral AI."),
   'duckdb-nsql': _("7B parameter text-to-SQL model made by MotherDuck and Numbers Station."),
   'megadolphin': _("MegaDolphin-2.2-120b is a transformation of Dolphin-2.2-70b created by interleaving the model with itself."),
   'solar-pro': _("Solar Pro Preview: an advanced large language model (LLM) with 22 billion parameters designed to fit into a single GPU"),
   'reader-lm': _("A series of models that convert HTML content to Markdown content, which is useful for content conversion tasks."),
   'notux': _("A top-performing mixture of experts model, fine-tuned with high-quality data."),
   'notus': _("A 7B chat model fine-tuned with high-quality data and based on Zephyr."),
   'open-orca-platypus2': _("Merge of the Open Orca OpenChat model and the Garage-bAInd Platypus 2 model. Designed for chat and code generation."),
   'goliath': _("A language model created by combining two fine-tuned Llama 2 70B models into one."),
   'granite3-moe': _("The IBM Granite 1B and 3B models are the first mixture of experts (MoE) Granite models from IBM designed for low latency usage."),
   'nuextract': _("A 3.8B model fine-tuned on a private high-quality synthetic dataset for information extraction, based on Phi-3."),
   'aya-expanse': _("Cohere For AI's language models trained to perform well across 23 different languages."),
   'dbrx': _("DBRX is an open, general-purpose LLM created by Databricks."),
   'marco-o1': _("An open large reasoning model for real-world solutions by the Alibaba International Digital Commerce Group (AIDC-AI)."),
   'bge-large': _("Embedding model from BAAI mapping texts to vectors."),
   'firefunction-v2': _("An open weights function calling model based on Llama 3, competitive with GPT-4o function calling capabilities."),
   'alfred': _("A robust conversational model designed to be used for both chat and instruct use cases."),
   'deepseek-v2.5': _("An upgraded version of DeekSeek-V2 that integrates the general and coding abilities of both DeepSeek-V2-Chat and DeepSeek-Coder-V2-Instruct."),
   'shieldgemma': _("ShieldGemma is set of instruction tuned models for evaluating the safety of text prompt input and text output responses against a set of defined safety policies."),
   'bespoke-minicheck': _("A state-of-the-art fact-checking model developed by Bespoke Labs."),
   'llama-guard3': _("Llama Guard 3 is a series of models fine-tuned for content safety classification of LLM inputs and responses."),
   'paraphrase-multilingual': _("Sentence-transformers model that can be used for tasks like clustering or semantic search."),
   'opencoder': _("OpenCoder is an open and reproducible code LLM family which includes 1.5B and 8B models, supporting chat in English and Chinese languages."),
   'tulu3': _("Tülu 3 is a leading instruction following model family, offering fully open-source data, code, and recipes by the The Allen Institute for AI."),
   'snowflake-arctic-embed2': _("Snowflake's frontier embedding model. Arctic Embed 2.0 adds multilingual support without sacrificing English performance or scalability."),
   'granite3-guardian': _("The IBM Granite Guardian 3.0 2B and 8B models are designed to detect risks in prompts and/or responses."),
   'exaone3.5': _("EXAONE 3.5 is a collection of instruction-tuned bilingual (English and Korean) generative models ranging from 2.4B to 32B parameters, developed and released by LG AI Research."),
   'sailor2': _("Sailor2 are multilingual language models made for South-East Asia. Available in 1B, 8B, and 20B parameter sizes."),
   'falcon3': _("A family of efficient AI models under 10B parameters performant in science, math, and coding through innovative training techniques."),
   'granite3.1-dense': _("The IBM Granite 2B and 8B models are text-only dense LLMs trained on over 12 trillion tokens of data, demonstrated significant improvements over their predecessors in performance and speed in IBM’s initial testing."),
   'granite3.1-moe': _("The IBM Granite 1B and 3B models are long-context mixture of experts (MoE) Granite models from IBM designed for low latency usage."),
   'granite-embedding': _("The IBM Granite Embedding 30M and 278M models models are text-only dense biencoder embedding models, with 30M available in English only and 278M serving multilingual use cases."),
   'phi4': _("Phi-4 is a 14B parameter, state-of-the-art open model from Microsoft."),
   'smallthinker': _("A new small reasoning model fine-tuned from the Qwen 2.5 3B Instruct model."),
   'dolphin3': _("Dolphin 3.0 Llama 3.1 8B 🐬 is the next generation of the Dolphin series of instruct-tuned models designed to be the ultimate general purpose local model, enabling coding, math, agentic, function calling, and general use cases."),
   'deepseek-r1': _("DeepSeek's first-generation of reasoning models with comparable performance to OpenAI-o1, including six dense models distilled from DeepSeek-R1 based on Llama and Qwen."),
   'deepseek-v3': _("A strong Mixture-of-Experts (MoE) language model with 671B total parameters with 37B activated for each token."),
   'olmo2': _("OLMo 2 is a new family of 7B and 13B models trained on up to 5T tokens. These models are on par with or better than equivalently sized fully open models, and competitive with open-weight models such as Llama 3.1 on English academic benchmarks."),
   'command-r7b': _("The smallest model in Cohere's R series delivers top-tier speed, efficiency, and quality to build powerful AI applications on commodity GPUs and edge devices."),
   'openthinker': _("A fully open-source family of reasoning models built using a dataset derived by distilling DeepSeek-R1."),
   'deepscaler': _("A fine-tuned version of Deepseek-R1-Distilled-Qwen-1.5B that surpasses the performance of OpenAI’s o1-preview with just 1.5B parameters on popular math evaluations."),
   'r1-1776': _("A version of the DeepSeek-R1 model that has been post trained to provide unbiased, accurate, and factual information by Perplexity."),
}